Subject: bug#77650: closed (Re: bug#77650: 30.1; strange docstring for dired-do-touch)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 09 Apr 2025 11:29:02 +0000

Your bug report

#77650: 30.1; strange docstring for dired-do-touch

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
77650: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=77650
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#77650: 30.1; strange docstring for dired-do-touch
From: Eli Zaretskii <[email-masked]>
To: Francesco Potortì <[email-masked]>
Cc: [email-masked]
Date: Wed, 09 Apr 2025 14:27:58 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Francesco Potortì <[email-masked]>
> Date: Tue, 08 Apr 2025 19:28:18 +0200
> 
> This is the start of defun of dired-do-touch in dired-aux.el
> 
> (defun dired-do-touch (&optional arg)
>   "Change the timestamp of the marked (or next ARG) files.
> This calls touch.
> Type Type \\<minibuffer-local-completion-map>\\[next-history-element] \
> to pull the file attributes of the file at point
> into the minibuffer."
> 
> The last three lines of the docstring make no sense to me because:
> 
> 1. "Type" is repeated twice

That's a typo.

> 2. when I call for description of "T" in a dired buffer, those lines show as:
> 
> Type Type M-n to pull the file attributes of the file at point
> into the minibuffer.
> 
> But M-n calls clone-buffer

The intent was to tell that you can type M-n after invoking the
command.  IOW, type "T M-n".

I've now fixed this (and several similar issues in a few other doc
strings) on the emacs-30 branch, and I'm therefore closing this bug.

Subject: 30.1; strange docstring for dired-do-touch
From: Francesco Potortì <[email-masked]>
To: [email-masked]
Date: Tue, 08 Apr 2025 19:28:18 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

This is the start of defun of dired-do-touch in dired-aux.el

(defun dired-do-touch (&optional arg)
  "Change the timestamp of the marked (or next ARG) files.
This calls touch.
Type Type \\<minibuffer-local-completion-map>\\[next-history-element] \
to pull the file attributes of the file at point
into the minibuffer."

The last three lines of the docstring make no sense to me because:

1. "Type" is repeated twice
2. when I call for description of "T" in a dired buffer, those lines show as:

Type Type M-n to pull the file attributes of the file at point
into the minibuffer.

But M-n calls clone-buffer